Name: rhsc-log-collector
Version: 2.1
Release: 0.1%{?dist}
Source0: rhsc-log-collector-%{version}.tar.gz
License: ASL 2.0
Summary: Log Collector for RHSC
Group: Virtualization/Management
URL: http://www.ovirt.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
BuildRequires: python-devel
Requires: python-lxml
Requires: rhsc-sdk
Requires: sos
Requires: python-dateutil

%description
Log Collector tool for RHSC Engine

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
	--docdir="%{_docdir}/%{name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhsc-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhsc-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%{python_sitelib}/ovirt_log_collector/*.py*
%{python_sitelib}/ovirt_log_collector/helper/*.py*
%{python_sitelib}/sos/plugins/*.py*
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhsc-log-collector

%changelog
* Wed Jun 26 2013 Aravinda VK <avishwan@redhat.com> - 2.1-0.1
- RHSC branding and Bug fixes(929118, 929047)

* Fri Dec 21 2012 Shireesh Anjal <sanjal@redhat.com> - 2.1-0.qa4
RHS-C

* Thu Mar 29 2012 Keith Robertson <kroberts@redhat.com> - 1.0.0-0
- Initial build
